%global momorel 2

Name: boost-jam
Version: 3.1.17
Summary: Build tool for boost
Release: %{momorel}m%{?dist}
License: "Boost Software License"
Source0: http://dl.sourceforge.net/sourceforge/boost/%{name}-%{version}.tgz 
NoSource: 0
Group: Development/Tools
URL: http://www.boost.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Boost Jam is a build tool based on FTJam, which in turn is based on 
Perforce Jam. It contains significant improvements made to facilitate
its use in the Boost Build System, but should be backward compatible 
with Perforce Jam.

%prep
%setup -q

%build
LOCATE_TARGET=bin CC=gcc CFLAGS="$RPM_OPT_FLAGS" ./build.sh cc -d2

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/bjam %{buildroot}%{_bindir}/bjam-%{version}
ln -sf bjam-%{version} %{buildroot}%{_bindir}/bjam
#ln -sf bjam-%{version} %{buildroot}%{_bindir}/jam

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc *.html LICENSE_1_0.txt
%{_bindir}/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.17-2m)
- full rebuild for mo7 release

* Sun Nov 29 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1.17-1m)
- update 3.1.17
- remove a workaround for gcc-4.2's miss compilation, which was
  already fixed

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.16-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.1.16-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.16-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.16-2m)
- %%NoSource -> NoSource

* Sun Jan  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.16-1m)
- update 3.1.16

* Mon Oct 29 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1.14-2m)
- revised RPM_OPT_FLAGS for gcc-4.2

* Mon Aug 13 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1.14-1m)
- update 3.1.14

* Wed Mar 28 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.13-1m)
- update 3.1.13
- gcc-4.2 was no used "-Ox" flags ...

* Tue Apr 18 2006 Msayuki SANO <nosanosa@momonga-linux.org>
- (3.1.12-1m)
- update to 3.1.12

* Fri May 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.1.7-3m)
- change URI

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (3.1.7-2m)
- revised spec for enabling rpm 4.2.

* Mon Oct 20 2003 Hideo TASHIRO <tashiron@jasmiso.org>
- (3.1.7-1m)
- update to 3.1.7
- remove boost-jam-opt.patch

* Tue Jun 10 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (3.1.4-1m)
- initial version for momonga
